Bug 532073

Summary: DotWhenNoCursor always shows dot when there is cursor
Product: [Fedora] Fedora Reporter: Kriston Rehberg <me>
Component: tigervncAssignee: Jan Grulich <jgrulich>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 26CC: aortega, atkac, ovasik
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 10:29:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Kriston Rehberg 2009-10-30 10:45:13 EDT
Description of problem:
DotWhenNoCursor option always shows dot even when there is a cursor visible.

Version-Release number of selected component (if applicable):
tigervnc-1.0.0-2

How reproducible:
Always when connecting to a Windows host when DotWhenNoCursor turned on.

Steps to Reproduce:

1. Run vncviewer with "-DotWhenNoCursor=1" and connect to a Windows machine running TigerVNC server.
2. The cursor and the dot are always present.

Actual results:
Dot is present next to cursor at all times.

Expected results:
Dot should not be present next to cursor unless cursor is hidden.

Additional info:
If Render cursor locally is selected, no dot appears.
In addition, in the Connection Options, if Render Cursor Locally is de-selected while the grayed-out Shot Dot When No Cursor is selected, the dot is also always shown.
High-color mouse cursors are being used on the Host.
Comment 1 Bug Zapper 2010-04-28 07:01:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 11:21:13 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Kriston Rehberg 2010-06-28 11:38:29 EDT
(In reply to comment #2)
> Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
> no longer maintained, which means that it will not receive any further 
> security or bug fix updates. As a result we are closing this bug.
> 
> If you can reproduce this bug against a currently maintained version of 
> Fedora please feel free to reopen this bug against that version.
> 
> Thank you for reporting this bug and we are sorry it could not be fixed.    

Stop closing this.
I just re-assigned it to Fedora 13 and you closed it again.
Please stop it already.
Comment 4 Ondrej Vasik 2010-06-28 15:16:50 EDT
A bot is closing these bugs - not a human ... personally, I don't like these autocloser features - it sometimes hides real problems only because there was no time to fix them - making them forgotten... 

But that's more for wider discussion in Fedora community - they once decided to make autocloser bot...
Comment 5 Kriston Rehberg 2010-06-28 15:25:54 EDT
I hope someone is vetting these when they're closed.
Comment 6 Bug Zapper 2011-06-02 13:32:22 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 10:29:08 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Alvaro Lopez Ortega 2017-08-02 07:41:43 EDT
After 8 years, the bug is still there.